#
# spec file for package yast2-proxy
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yast2-proxy
Version:        4.0.2
Release:        lp150.2.6.1

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2

BuildRequires:  update-desktop-files
BuildRequires:  yast2-buildtools >= 3.1.10
BuildRequires:  rubygem(rspec)
BuildRequires:  rubygem(yast-rake)

BuildRequires:  yast2
Requires:       yast2

# we split off that one
Conflicts:      yast2-network < 2.22.6

BuildArch:      noarch

Requires:       yast2-ruby-bindings >= 1.0.0

Summary:        YaST2 - Proxy Configuration
License:        GPL-2.0+
Group:          System/YaST
Url:            http://en.opensuse.org/Portal:YaST

%description 
This package contains the YaST2 component for proxy configuration.

%prep
%setup -n %{name}-%{version}

%check
rake test:unit

%build

%install
rake install DESTDIR="%{buildroot}"

%files
%defattr(-,root,root)
%{yast_clientdir}/*.rb
%{yast_libdir}/proxy
%{yast_moduledir}/*.rb
%{yast_yncludedir}/proxy
%{yast_desktopdir}/*.desktop
%{yast_scrconfdir}/*.scr
%{yast_schemadir}/autoyast/rnc/proxy.rnc

%doc %{yast_docdir}

%changelog
* Wed Jun 27 2018 schubi@suse.de
- Added additional searchkeys to desktop file (fate#321043).
- 4.0.2
* Thu May 10 2018 mvidner@suse.com
- Clean up the no_proxy value: not all clients ignore spaces
  (bsc#1089796)
- 4.0.1
* Fri Apr  6 2018 mfilka@suse.com
- bnc#1087957 - version bump
- 4.0.0
* Fri Jun 12 2015 mvidner@suse.com
- If PROXY_ENABLED is not set, interpret it as disabled,
  like the rest of the system does (boo#934925).
- Internal cleanups:
  - Got rid of autotools.
  - Converted legacy testsuite to RSpec.
  - Moved code out of clients for better testability.
- 3.1.6
* Thu Jun 11 2015 mvidner@suse.com
- Fixed the last change not to crash with "internal error in
  WriteCurlrc" when installing with a proxy (boo#929868).
- 3.1.5
* Thu Apr  9 2015 mvidner@suse.com
- Write also --noproxy to .curlrc otherwise it is ignored even if
  set in the environment (bsc#923788).
- 3.1.4
* Thu Dec  4 2014 jreidinger@suse.com
- remove X-KDE-Library from desktop file (bnc#899104)
* Wed Oct  8 2014 mvidner@suse.com
- Fixed Test Proxy Settings always reporting failure (bnc#853725,
  bnc#871945).
- 3.1.2
* Wed Nov 13 2013 jreidinger@suse.com
- Add explicit COPYING file
* Thu Sep 19 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Wed Jul 31 2013 yast-devel@opensuse.org
- converted from YCP to Ruby by YCP Killer
  (https://github.com/yast/ycp-killer)
- version 3.0.0
* Tue Jul 16 2013 lslezak@suse.cz
- move an include statement to the top level (needed for Ruby
  translation)
- 2.24.0
* Wed Apr 11 2012 mvidner@suse.cz
- Moved over one forgotten file.
- 2.22.1
* Tue Apr 10 2012 mvidner@suse.cz
- Split off yast2-network
- 2.22.0
